<?
 /*SCRIPT PARA MANTENIMIENTO DE NIVELES ESCOLARES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
   if(!$txtnivel){alert("Debe ingresar un nombre para el nivel escolar","javascript:history.go(-1)");}

    $qver=mysql_query("select * from niveles where nivel = '$txtnivel'");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("El nivel que ingresó ya existe\\nNivel: {$iver[grado]}","javascript:history.go(-1)");
    }
                $sql="insert into
                      niveles
                      set nivel='$txtnivel'";

                 $ins=mysql_query($sql);
                 if($ins){alert("Nivel $txtnivel\\nagregado con éxito","frm_nivel.php");}else{alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");}
   break;

   case "Update":
    if(!$idn){
      alert("Parámetros incorrectos","javascript:history.go(-1)");
    }

    $id_nv=dec($idn);

    if(!$txtnivel){
      alert("Debe ingresar un nombre para el nivel escolar","javascript:history.go(-1)");
    }

    $qver=mysql_query("select * from niveles where id = '$id_nv'");
    if(mysql_num_rows($qver)==0){
      alert("ERROR: El nivel no existe","javascript:history.go(-1)");
    }
                $sql="update
                      niveles
                      set nivel='$txtnivel'
                      where id='$id_nv'";

                 $qupd=mysql_query($sql);
                 if($qupd){alert("Nivel: $txtnivel\\nactualizado con éxito","frm_nivel.php?");}else{alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");}
   break;

   case "Delete":
    if(!$idn){
      alert("Parámetros incorrectos","javascript:history.go(-1)");
    }
    $id_nv=dec($idn);

    $qver=mysql_query("select * from grados where nivel = '$id_nv'");
    if(mysql_num_rows($qver)>0){
      alert("ERROR: No se puede eliminar.\\nHay ".mysql_num_rows($qver)." grado(s) asociados al nivel","javascript:history.go(-1)");
    }

      $sql="delete from
            niveles
            where id='$id_nv'";

      $qupd=mysql_query($sql);
      if($qupd){alert("Nivel eliminado con éxito","frm_nivel.php?");}else{alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");}
   break;

   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>